Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.mx.modelmbean
Interface ModelMBeanConstants

All Known Subinterfaces:
  XMBeanConstants

All Known Implementing Classes:
  JBossXMBean10, MBeanInfoConversion, MBeanServerImpl, ModelMBeanAttributeInterceptor, ModelMBeanInvoker, ModelMBeanOperationInterceptor, PersistenceInterceptor, XMBean, XMLMetaData

public interface ModelMBeanConstants

Constants used with Model MBean implementations.

Version:
  $Revision: 1.22.2.1 $
Author:
  Juha Lindfors., Thomas Diesler., Dimitris Andreadis., Matt Munz

Field Summary
`static String` | `ACTION`
`static String` | `ACTION_INFO`
`static String` | `ALL_DESCRIPTORS` A convenience constant to use with `getDescriptors()` to return the descriptors of all management interface elements (a `null` string).
`static String` | `ATTRIBUTE_DESCRIPTOR`
`static String` | `ATTRIBUTE_VALUE`
`static String` | `CACHE_ALWAYS`
`static long` | `CACHE_ALWAYS_LIMIT`
`static String` | `CACHE_NEVER`
`static long` | `CACHE_NEVER_LIMIT`
`static String` | `CACHED_VALUE`
`static String` | `CLASS`
`static String` | `CONSTRUCTOR_DESCRIPTOR`
`static String` | `CURRENCY_TIME_LIMIT`
`static String` | `DEFAULT`
`static String` | `DELEGATING_PM_OPERATION_DEFAULT_VALUE`
`static String` | `DELEGATING_PM_OPERATION_DESCRIPTOR` Extended descriptor used in conjuction with DelegatingPersistenceManager to specify the operation name that will be called on the external MBean service for creating AttributePersistenceManager objects.
`static String` | `DELEGATING_PM_SERVICE_DEFAULT_VALUE`
`static String` | `DELEGATING_PM_SERVICE_DESCRIPTOR` Extended descriptor used in conjuction with DelegatingPersistenceManager to specify an external MBean service that will be used as a factory for creating AttributePersistenceManager objects.
`static String` | `DESCRIPTOR_TYPE`
`static String` | `DISPLAY_NAME`
`static String` | `EXPORT`
`static String` | `GENERIC_MODELMBEAN_NOTIFICATION`
`static String` | `GET_METHOD`
`static String` | `HIGH_VISIBILITY`
`static String` | `INFO`
`static String` | `INTERCEPTORS`
`static boolean` | `IS_IS`
`static boolean` | `IS_READABLE`
`static boolean` | `IS_WRITABLE`
`static String` | `LAST_RETURNED_TIME_STAMP`
`static String` | `LAST_UPDATED_TIME_STAMP`
`static String` | `LAST_UPDATED_TIME_STAMP2` used to mark the update (set) of an ATTRIBUTE_VALUE
`static String` | `LOG`
`static String` | `LOG_FILE`
`static String` | `LOW_VISIBILITY`
`static String` | `MBEAN_DESCRIPTOR`
`static String` | `MBEAN_INFO_INJECTION_TYPE` The MBeanInfo injection id type
`static String` | `MBEAN_SERVER_INJECTION_TYPE` The MBeanServer injection id type
`static String` | `MESSAGE_ID`
`static String` | `MINIMAL_VISIBILITY`
`static String` | `NAME`
`static String` | `NORMAL_VISIBILITY`
`static String` | `NOTIFICATION_DESCRIPTOR`
`static String` | `OBJECT_NAME` Used to store the JMX ObjectName of the MBean, so it can be referenced by subsystem that may need it
`static String` | `OBJECT_NAME_INJECTION_TYPE` The ObjectName injection id type
`static String` | `OBJECT_REF`
`static String` | `OPERATION_DESCRIPTOR`
`static String` | `PERSIST_INFO` Indicates whether MBean Info should be stored.
`static String` | `PERSIST_LOCATION`
`static String` | `PERSIST_NAME`
`static String` | `PERSIST_PERIOD`
`static String[]` | `PERSIST_POLICIES`
`static String` | `PERSIST_POLICY`
`static String` | `PERSISTENCE_MANAGER` constant used by the 1.0 xmbean parser this defines the name of the descriptor used to designate the persistence manager that is to be used for a given XMBean
`static String` | `PP_ALWAYS`
`static String` | `PP_NEVER`
`static String` | `PP_NO_MORE_OFTEN_THAN`
`static String` | `PP_ON_TIMER`
`static String` | `PP_ON_UPDATE`
`static String` | `PRESENTATION_STRING`
`static String` | `PROTOCOL_MAP`
`static String` | `RESOURCE_CLASS` Indicates the FQN of the resource class
`static String` | `ROLE`
`static String` | `ROLE_CONSTRUCTOR`
`static String` | `ROLE_GETTER`
`static String` | `ROLE_OPERATION`
`static String` | `ROLE_SETTER`
`static String` | `SET_METHOD`
`static String` | `SEVERITY`
`static String` | `SEVERITY_CRITICAL`
`static String` | `SEVERITY_MAJOR`
`static String` | `SEVERITY_MINOR`
`static String` | `SEVERITY_NON_RECOVERABLE`
`static String` | `SEVERITY_NORMAL`
`static String` | `SEVERITY_UNKNOWN`
`static String` | `SEVERITY_WARNING`
`static String` | `TARGET_OBJECT`
`static String` | `TARGET_TYPE`
`static String` | `VISIBILITY`

Field Detail

### GENERIC_MODELMBEAN_NOTIFICATION

    public static final String GENERIC_MODELMBEAN_NOTIFICATION

See Also:
  Constant Field Values

### NAME

    public static final String NAME

See Also:
  Constant Field Values

### DESCRIPTOR_TYPE

    public static final String DESCRIPTOR_TYPE

See Also:
  Constant Field Values

### CLASS

    public static final String CLASS

See Also:
  Constant Field Values

### CURRENCY_TIME_LIMIT

    public static final String CURRENCY_TIME_LIMIT

See Also:
  Constant Field Values

### DISPLAY_NAME

    public static final String DISPLAY_NAME

See Also:
  Constant Field Values

### LAST_UPDATED_TIME_STAMP

    public static final String LAST_UPDATED_TIME_STAMP

See Also:
  Constant Field Values

### LOG

    public static final String LOG

See Also:
  Constant Field Values

### LOG_FILE

    public static final String LOG_FILE

See Also:
  Constant Field Values

### PERSIST_POLICY

    public static final String PERSIST_POLICY

See Also:
  Constant Field Values

### PERSIST_PERIOD

    public static final String PERSIST_PERIOD

See Also:
  Constant Field Values

### PRESENTATION_STRING

    public static final String PRESENTATION_STRING

See Also:
  Constant Field Values

### VISIBILITY

    public static final String VISIBILITY

See Also:
  Constant Field Values

### PERSIST_LOCATION

    public static final String PERSIST_LOCATION

See Also:
  Constant Field Values

### PERSIST_NAME

    public static final String PERSIST_NAME

See Also:
  Constant Field Values

### EXPORT

    public static final String EXPORT

See Also:
  Constant Field Values

### CACHED_VALUE

    public static final String CACHED_VALUE

See Also:
  Constant Field Values

### ATTRIBUTE_VALUE

    public static final String ATTRIBUTE_VALUE

See Also:
  Constant Field Values

### DEFAULT

    public static final String DEFAULT

See Also:
  Constant Field Values

### GET_METHOD

    public static final String GET_METHOD

See Also:
  Constant Field Values

### SET_METHOD

    public static final String SET_METHOD

See Also:
  Constant Field Values

### PROTOCOL_MAP

    public static final String PROTOCOL_MAP

See Also:
  Constant Field Values

### ROLE

    public static final String ROLE

See Also:
  Constant Field Values

### TARGET_OBJECT

    public static final String TARGET_OBJECT

See Also:
  Constant Field Values

### TARGET_TYPE

    public static final String TARGET_TYPE

See Also:
  Constant Field Values

### SEVERITY

    public static final String SEVERITY

See Also:
  Constant Field Values

### MESSAGE_ID

    public static final String MESSAGE_ID

See Also:
  Constant Field Values

### PP_NEVER

    public static final String PP_NEVER

See Also:
  Constant Field Values

### PP_ON_TIMER

    public static final String PP_ON_TIMER

See Also:
  Constant Field Values

### PP_ON_UPDATE

    public static final String PP_ON_UPDATE

See Also:
  Constant Field Values

### PP_NO_MORE_OFTEN_THAN

    public static final String PP_NO_MORE_OFTEN_THAN

See Also:
  Constant Field Values

### PP_ALWAYS

    public static final String PP_ALWAYS

See Also:
  Constant Field Values

### PERSIST_POLICIES

    public static final String[] PERSIST_POLICIES

### SEVERITY_UNKNOWN

    public static final String SEVERITY_UNKNOWN

See Also:
  Constant Field Values

### SEVERITY_NON_RECOVERABLE

    public static final String SEVERITY_NON_RECOVERABLE

See Also:
  Constant Field Values

### SEVERITY_CRITICAL

    public static final String SEVERITY_CRITICAL

See Also:
  Constant Field Values

### SEVERITY_MAJOR

    public static final String SEVERITY_MAJOR

See Also:
  Constant Field Values

### SEVERITY_MINOR

    public static final String SEVERITY_MINOR

See Also:
  Constant Field Values

### SEVERITY_WARNING

    public static final String SEVERITY_WARNING

See Also:
  Constant Field Values

### SEVERITY_NORMAL

    public static final String SEVERITY_NORMAL

See Also:
  Constant Field Values

### MBEAN_DESCRIPTOR

    public static final String MBEAN_DESCRIPTOR

See Also:
  Constant Field Values

### ATTRIBUTE_DESCRIPTOR

    public static final String ATTRIBUTE_DESCRIPTOR

See Also:
  Constant Field Values

### CONSTRUCTOR_DESCRIPTOR

    public static final String CONSTRUCTOR_DESCRIPTOR

See Also:
  Constant Field Values

### OPERATION_DESCRIPTOR

    public static final String OPERATION_DESCRIPTOR

See Also:
  Constant Field Values

### NOTIFICATION_DESCRIPTOR

    public static final String NOTIFICATION_DESCRIPTOR

See Also:
  Constant Field Values

### ROLE_CONSTRUCTOR

    public static final String ROLE_CONSTRUCTOR

See Also:
  Constant Field Values

### ROLE_GETTER

    public static final String ROLE_GETTER

See Also:
  Constant Field Values

### ROLE_SETTER

    public static final String ROLE_SETTER

See Also:
  Constant Field Values

### ROLE_OPERATION

    public static final String ROLE_OPERATION

See Also:
  Constant Field Values

### HIGH_VISIBILITY

    public static final String HIGH_VISIBILITY

See Also:
  Constant Field Values

### NORMAL_VISIBILITY

    public static final String NORMAL_VISIBILITY

See Also:
  Constant Field Values

### LOW_VISIBILITY

    public static final String LOW_VISIBILITY

See Also:
  Constant Field Values

### MINIMAL_VISIBILITY

    public static final String MINIMAL_VISIBILITY

See Also:
  Constant Field Values

### CACHE_NEVER

    public static final String CACHE_NEVER

See Also:
  Constant Field Values

### CACHE_NEVER_LIMIT

    public static final long CACHE_NEVER_LIMIT

See Also:
  Constant Field Values

### CACHE_ALWAYS

    public static final String CACHE_ALWAYS

See Also:
  Constant Field Values

### CACHE_ALWAYS_LIMIT

    public static final long CACHE_ALWAYS_LIMIT

See Also:
  Constant Field Values

### ACTION

    public static final String ACTION

See Also:
  Constant Field Values

### ACTION_INFO

    public static final String ACTION_INFO

See Also:
  Constant Field Values

### INFO

    public static final String INFO

See Also:
  Constant Field Values

### OBJECT_REF

    public static final String OBJECT_REF

See Also:
  Constant Field Values

### ALL_DESCRIPTORS

    public static final String ALL_DESCRIPTORS

  A convenience constant to use with `getDescriptors()` to return the descriptors of all management interface elements (a `null` string).

### LAST_RETURNED_TIME_STAMP

    public static final String LAST_RETURNED_TIME_STAMP

See Also:
  Constant Field Values

### LAST_UPDATED_TIME_STAMP2

    public static final String LAST_UPDATED_TIME_STAMP2

  used to mark the update (set) of an ATTRIBUTE_VALUE

  See Also:
    Constant Field Values

### INTERCEPTORS

    public static final String INTERCEPTORS

See Also:
  Constant Field Values

### PERSIST_INFO

    public static final String PERSIST_INFO

  Indicates whether MBean Info should be stored.

  See Also:
    Constant Field Values

### RESOURCE_CLASS

    public static final String RESOURCE_CLASS

  Indicates the FQN of the resource class

  See Also:
    Constant Field Values

### PERSISTENCE_MANAGER

    public static final String PERSISTENCE_MANAGER

  constant used by the 1.0 xmbean parser this defines the name of the descriptor used to designate the persistence manager that is to be used for a given XMBean

  See Also:
    Constant Field Values

### OBJECT_NAME

    public static final String OBJECT_NAME

  Used to store the JMX ObjectName of the MBean, so it can be referenced by subsystem that may need it

  See Also:
    Constant Field Values

### DELEGATING_PM_SERVICE_DESCRIPTOR

    public static final String DELEGATING_PM_SERVICE_DESCRIPTOR

  Extended descriptor used in conjuction with DelegatingPersistenceManager to specify an external MBean service that will be used as a factory for creating AttributePersistenceManager objects. If the descriptor is not specified, the ObjectName below will be used as the default.

  See Also:
    Constant Field Values

### DELEGATING_PM_SERVICE_DEFAULT_VALUE

    public static final String DELEGATING_PM_SERVICE_DEFAULT_VALUE

See Also:
  Constant Field Values

### DELEGATING_PM_OPERATION_DESCRIPTOR

    public static final String DELEGATING_PM_OPERATION_DESCRIPTOR

  Extended descriptor used in conjuction with DelegatingPersistenceManager to specify the operation name that will be called on the external MBean service for creating AttributePersistenceManager objects. If the descriptor is not specified, the default will apply

  See Also:
    Constant Field Values

### DELEGATING_PM_OPERATION_DEFAULT_VALUE

    public static final String DELEGATING_PM_OPERATION_DEFAULT_VALUE

See Also:
  Constant Field Values

### MBEAN_SERVER_INJECTION_TYPE

    public static final String MBEAN_SERVER_INJECTION_TYPE

  The MBeanServer injection id type

  See Also:
    Constant Field Values

### MBEAN_INFO_INJECTION_TYPE

    public static final String MBEAN_INFO_INJECTION_TYPE

  The MBeanInfo injection id type

  See Also:
    Constant Field Values

### OBJECT_NAME_INJECTION_TYPE

    public static final String OBJECT_NAME_INJECTION_TYPE

  The ObjectName injection id type

  See Also:
    Constant Field Values

### IS_READABLE

    public static final boolean IS_READABLE

See Also:
  Constant Field Values

### IS_WRITABLE

    public static final boolean IS_WRITABLE

See Also:
  Constant Field Values

### IS_IS

    public static final boolean IS_IS

See Also:
  Constant Field Values

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.